Bug 47130 - TODO list doesn't remember which sub-todo trees were collapsed
TODO list doesn't remember which sub-todo trees were collapsed
Product: Red Hat Linux
Classification: Retired
Component: kdepim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-07-03 08:51 EDT by Mike A. Harris
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 08:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2001-07-03 08:51:22 EDT
Description of Problem:
If you have a TODO with sub-TODO items, and collapse the TODO so
the sub TODO items are not shown, then change views to the 31 day
fullscreen calendar and back, your full TODO list is now fully expanded.

How Reproducible: 100%

Steps to Reproduce:
1. Create a todo list with a handful of items
2. Make one of the middle items have 3 sub todo items.
3. Make another one have multiple subtodo items
4. Collapse all items with subtodo's so it shows the + signs on each
5. Change korganizer views to the 31 day fullscreen calendar
6. Change view back to TODO + 1 day view or week view.

Actual Results:
All subtodo lists are now expanded trees and all sub items are showing.
This makes the ability to collapse a tree member pretty useless
especially if you have multiple items with many sub todo's because your
collapses are lost as soon as you change views.

Expected Results:
The app remembers this stuff, including when you close the app so that
restarting it gets you the exact tree view you had with expanded and
collapsed todo items.

Additional Information:
Wear brightly colored clothing when riding a bicycle at night.
Comment 1 Mike A. Harris 2002-06-22 01:55:10 EDT
Korganizer sucks.  ;o)

Note You need to log in before you can comment on or make changes to this bug.